#ifndef _CVEHICLE_H_
#define _CVEHICLE_H_

#include <Edge.h>

class CVehicle : public edge::Vehicle
{
    public:
        CVehicle(const Ogre::String& name, edge::World* world, edge::Shape* shape,
                float mass, const btVector3& inertia);
        virtual ~CVehicle();

        void setSpeedInc(float val);
        float getSpeedInc();
        void setMaxSpeed(float val);
        float getMaxSpeed();
        void setHandling(float val);
        float getHandling();
        void setBrakeVal(float val);
        float getBrakeVal();
        void setSteerInc(float val);
        float getSteerInc();
        void setMaxSteer(float val);
        float getMaxSteer();

        int mLap;
        float mP2Finish;

    protected:
        float mSpeedInc;
        float mMaxSpeed;
        float mHandling;
        float mBrake;
        float mSteerInc;
        float mMaxSteer;
};

#endif // _CVEHICLE_H_
