#ifndef _LANG_CONFIG_H_
#define _LANG_CONFIG_H_

#include <OgreConfigFile.h>
#include <OgreCommon.h>
#include <OgreOverlayElement.h>
#include <OgreStringConverter.h>

class LangConfig
{
    public:
        LangConfig(const Ogre::String& lang);
        virtual ~LangConfig();

        static Ogre::DisplayString rightToLeft(const Ogre::DisplayString& str);

        Ogre::String& operator[](const Ogre::String& k)
        {
            return mValue[k];
        }

        Ogre::String& operator[](const char* k)
        {
            return mValue[k];
        }

        Ogre::String& getFont(const Ogre::String& name);
    protected:
        Ogre::ConfigFile mFile;
        Ogre::NameValuePairList mValue;
};

#endif // _LANG_CONFIG_H_
