#ifndef _VEHICLEAI_H_
#define _VEHICLEAI_H_

#include <Edge.h>
#include "CVehicle.h"
#include "Track.h"

class VehicleAI : public edge::ai::AIBehaviour
{
    public:
        VehicleAI(CVehicle* vehicle,
                  Track* track, edge::ai::Path* path);
        virtual ~VehicleAI();

        virtual void action();
    protected:
        bool m_blocked;
        btClock m_blockTime;

        Track* mTrack;
        CVehicle* m_v;
        edge::ai::Path* m_p;

        edge::ai::Station* m_cs;
        edge::ai::Station* m_ns;
        int m_csi;
        btVector3 m_erc;

        Ogre::SceneNode* oh;
};

#endif // _VEHICLEAI_H_
